Subject: Re: bug#13602: 24.3.50; remove bindings for `icomplete-minibuffer-map' - make a separate mode

From: Juri Linkov <[email-masked]>
Date: Wed, 06 Feb 2013 01:19:23 +0200

> I don't particularly or personally need any of the keys you propose to have
> Icomplete bind, for any other purpose.

I for one just disabled `icomplete-mode' in ~/.emacs when it got
added ido keybindings, waiting in the hope that someone will implement
`icomplete-mode-without-ido-keybindings' :-)

Without ido keybindings `icomplete-mode' is useful to see all possible
completions to be able to decide what the minimal length of the
completion string is sufficient to type.

For instance, with the intention to run `grep-find' typing `M-x gr' shows
"gr(ep){| -find | -mode}" that hints that the shortest string to type is
"gr-f" which could be remembered as the shortest alias for "grep-find".